%global apiversion 0.0

Name: libe-book
Version: 0.0.3
Release: 1%{?dist}
Summary: A library for import of non-HTML reflowable e-book formats

Group: System Environment/Libraries
License: LGPLv2+ or MPLv2.0
URL: https://sourceforge.net/projects/libebook/
Source: http://downloads.sourceforge.net/libebook/%{name}-%{version}.tar.xz

BuildRequires: boost-devel
BuildRequires: cppunit-devel
BuildRequires: doxygen
BuildRequires: gperf
BuildRequires: help2man
BuildRequires: libicu-devel
BuildRequires: libwpd-devel
BuildRequires: libxml2-devel
BuildRequires: zlib-devel

%description
%{name} is a library for import of non-HTML reflowable e-book formats.
Currently supported are PalmDoc, TealDoc, Plucker eBook, eReader eBook,
FictionBook v.2, TCR, zTXT.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary: Documentation of %{name} API
Group: Documentation
BuildArch: noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%package tools
Summary: Tools to transform e-books into other formats
Group: Applications/Publishing
Requires: %{name}%{?_isa} = %{version}-%{release}

%description tools
Tools to transform e-books into other formats.
Currently supported: XHTML, raw, text.

%prep
%setup -q

%build
%configure --disable-silent-rules --disable-static --disable-werror
sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool
make %{?_smp_mflags}

export LD_LIBRARY_PATH=$(pwd)/src/lib/.libs${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
help2man -N -n 'convert e-book into HTML' -o ebook2html.1 ./src/conv/html/.libs/ebook2html
help2man -N -n 'convert e-book into plain text' -o ebook2text.1 ./src/conv/text/.libs/ebook2text
help2man -N -n 'debug the conversion library' -o ebook2raw.1 ./src/conv/raw/.libs/ebook2raw

%install
make install DESTDIR=%{buildroot}
rm -f %{buildroot}/%{_libdir}/*.la
# we install API docs directly from build
rm -rf %{buildroot}/%{_docdir}/%{name}

mkdir -p %{buildroot}/%{_mandir}/man1
install -m 0644 ebook2*.1 %{buildroot}/%{_mandir}/man1

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%check
export LD_LIBRARY_PATH=%{buildroot}/%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
make %{?_smp_mflags} check

%files
%doc AUTHORS COPYING.LGPL COPYING.MPL NEWS README
%{_libdir}/%{name}-%{apiversion}.so.*

%files devel
%doc ChangeLog
%{_includedir}/%{name}-%{apiversion}
%{_libdir}/%{name}-%{apiversion}.so
%{_libdir}/pkgconfig/%{name}-%{apiversion}.pc

%files doc
%doc COPYING.LGPL COPYING.MPL
%doc docs/doxygen/html

%files tools
%{_bindir}/ebook2raw
%{_bindir}/ebook2text
%{_bindir}/ebook2html
%{_mandir}/man1/ebook2html.1*
%{_mandir}/man1/ebook2raw.1*
%{_mandir}/man1/ebook2text.1*

%changelog
* Mon Feb 10 2014 David Tardon <dtardon@redhat.com> - 0.0.3-1
- new upstream release 0.0.3
- generate man pages for the conversion tools

* Sat Nov 16 2013 David Tardon <dtardon@redhat.com> - 0.0.2-1
- new release

* Mon Nov 11 2013 David Tardon <dtardon@redhat.com> - 0.0.1-2
- install all public headers
- fix library name in .pc

* Sun Nov 10 2013 David Tardon <dtardon@redhat.com> - 0.0.1-1
- initial import
